# GridFire: gridfire::solver::NetworkSolverStrategy< EngineT > Class Template Reference

Loading...
Searching...
No Matches
gridfire::solver::NetworkSolverStrategy< EngineT > Class Template Referenceabstract

Abstract base class for network solver strategies. More...

`#include <solver.h>`

## Public Member Functions

| NetworkSolverStrategy (EngineT &engine)
| Constructor for the NetworkSolverStrategy.
virtual | ~NetworkSolverStrategy ()=default
| Virtual destructor.
virtual NetOut | evaluate (const NetIn &netIn)=0
| Evaluates the network for a given timestep.

## Protected Attributes

EngineT & | m_engine
| The engine used by this solver strategy.

## Detailed Description

template<typename EngineT>
class gridfire::solver::NetworkSolverStrategy< EngineT >

Abstract base class for network solver strategies.

This class defines the interface for network solver strategies, which are responsible for integrating the reaction network ODEs over a given timestep. It is templated on the engine type to allow for different engine implementations to be used with the same solver.

Template Parameters

  EngineT | The type of engine to use with this solver strategy. Must inherit from Engine.

Definition at line 27 of file solver.h.

## Constructor & Destructor Documentation

## NetworkSolverStrategy()

template<typename EngineT>

gridfire::solver::NetworkSolverStrategy< EngineT >::NetworkSolverStrategy | ( | EngineT & | engine | ) |

inlineexplicit

Constructor for the NetworkSolverStrategy.

Parameters

  engine | The engine to use for evaluating the network.

Definition at line 33 of file solver.h.

## ~NetworkSolverStrategy()

template<typename EngineT>

virtual gridfire::solver::NetworkSolverStrategy< EngineT >::~NetworkSolverStrategy | ( |  | ) |

virtualdefault

Virtual destructor.

## Member Function Documentation

## evaluate()

template<typename EngineT>

virtual NetOut gridfire::solver::NetworkSolverStrategy< EngineT >::evaluate | ( | const NetIn & | netIn | ) |

pure virtual

Evaluates the network for a given timestep.

Parameters

  netIn | The input conditions for the network.

Returns
  The output conditions after the timestep.

Implemented in gridfire::solver::DirectNetworkSolver, and PyDynamicNetworkSolverStrategy.

## Member Data Documentation

## m_engine

template<typename EngineT>

EngineT& gridfire::solver::NetworkSolverStrategy< EngineT >::m_engine

protected

The engine used by this solver strategy.

Definition at line 47 of file solver.h.

The documentation for this class was generated from the following file:

- src/include/gridfire/solver/solver.h